package com.mortals.xhx.module.attendance.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.vo.AttendanceRecordDetailVo;
/**
* 考勤打卡记录详细信息实体对象
*
* @author zxfei
* @date 2023-04-07
*/

public class AttendanceRecordDetailEntity extends AttendanceRecordDetailVo {
    private static final long serialVersionUID = 1L;

    /**
    * 考勤记录ID
    */
    private Long recordId;
    /**
    * 班次ID
    */
    private Long shiftsId;
    /**
    * 班次名称
    */
    private String shiftsName;
    /**
    * 上班打卡时间
    */
    private Date goWorkDate;
    /**
    * 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    */
    private Integer goWorkResult;
    /**
    * 下班打卡时间
    */
    private Date offWorkDate;
    /**
    * 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    */
    private Integer offWorkResult;
    /**
    * 备注
    */
    private String remark;



    public AttendanceRecordDetailEntity(){}
    /**
    * 获取 考勤记录ID
    * @return Long
    */
    public Long getRecordId(){
        return recordId;
    }
    /**
    * 设置 考勤记录ID
    * @param recordId
    */
    public void setRecordId(Long recordId){
        this.recordId = recordId;
    }
    /**
    * 获取 班次ID
    * @return Long
    */
    public Long getShiftsId(){
        return shiftsId;
    }
    /**
    * 设置 班次ID
    * @param shiftsId
    */
    public void setShiftsId(Long shiftsId){
        this.shiftsId = shiftsId;
    }
    /**
    * 获取 班次名称
    * @return String
    */
    public String getShiftsName(){
        return shiftsName;
    }
    /**
    * 设置 班次名称
    * @param shiftsName
    */
    public void setShiftsName(String shiftsName){
        this.shiftsName = shiftsName;
    }
    /**
    * 获取 上班打卡时间
    * @return Date
    */
    public Date getGoWorkDate(){
        return goWorkDate;
    }
    /**
    * 设置 上班打卡时间
    * @param goWorkDate
    */
    public void setGoWorkDate(Date goWorkDate){
        this.goWorkDate = goWorkDate;
    }
    /**
    * 获取 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return Integer
    */
    public Integer getGoWorkResult(){
        return goWorkResult;
    }
    /**
    * 设置 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResult
    */
    public void setGoWorkResult(Integer goWorkResult){
        this.goWorkResult = goWorkResult;
    }
    /**
    * 获取 下班打卡时间
    * @return Date
    */
    public Date getOffWorkDate(){
        return offWorkDate;
    }
    /**
    * 设置 下班打卡时间
    * @param offWorkDate
    */
    public void setOffWorkDate(Date offWorkDate){
        this.offWorkDate = offWorkDate;
    }
    /**
    * 获取 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return Integer
    */
    public Integer getOffWorkResult(){
        return offWorkResult;
    }
    /**
    * 设置 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResult
    */
    public void setOffWorkResult(Integer offWorkResult){
        this.offWorkResult = offWorkResult;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AttendanceRecordDetailEntity) {
            AttendanceRecordDetailEntity tmp = (AttendanceRecordDetailEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",recordId:").append(getRecordId());
        sb.append(",shiftsId:").append(getShiftsId());
        sb.append(",shiftsName:").append(getShiftsName());
        sb.append(",goWorkDate:").append(getGoWorkDate());
        sb.append(",goWorkResult:").append(getGoWorkResult());
        sb.append(",offWorkDate:").append(getOffWorkDate());
        sb.append(",offWorkResult:").append(getOffWorkResult());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){

            this.recordId = null;

            this.shiftsId = null;

            this.shiftsName = "";

            this.goWorkDate = null;

            this.goWorkResult = null;

            this.offWorkDate = null;

            this.offWorkResult = null;

            this.remark = "";
    }
}